# Interface OperationObjectWithMetadata

interface OperationObjectWithMetadata {
callbacks?: { [callback: string]: ReferenceObject | CallbackObject };
deprecated?: boolean;
description?: string;
externalDocs?: ExternalDocumentationObject;
method: string;
operationId?: string;
parameters?: (ReferenceObject | ParameterObject)[];
path: string;
requestBody?: ReferenceObject | RequestBodyObject;
responses: ResponsesObject;
security?: SecurityRequirementObject[];
servers?: ServerObject[];
summary?: string;
tags?: string[];
}

#### Hierarchy

- OperationObject
  - OperationObjectWithMetadata

- Defined in packages/angular/open-api/src/lib/open-api.ts:3

#####
Index

### Properties

callbacks?
deprecated?
description?
externalDocs?
method
operationId?
parameters?
path
requestBody?
responses
security?
servers?
summary?
tags?

##
Properties

### `Optional` callbacks

callbacks?: { [callback: string]: ReferenceObject | CallbackObject }

Inherited from OpenAPIV3.OperationObject.callbacks

- Defined in node_modules/openapi-types/dist/index.d.ts:224

### `Optional` deprecated

deprecated?: boolean

Inherited from OpenAPIV3.OperationObject.deprecated

- Defined in node_modules/openapi-types/dist/index.d.ts:227

### `Optional` description

description?: string

Inherited from OpenAPIV3.OperationObject.description

- Defined in node_modules/openapi-types/dist/index.d.ts:218

### `Optional` externalDocs

externalDocs?: ExternalDocumentationObject

Inherited from OpenAPIV3.OperationObject.externalDocs

- Defined in node_modules/openapi-types/dist/index.d.ts:219

### method

method: string

- Defined in packages/angular/open-api/src/lib/open-api.ts:5

### `Optional` operationId

operationId?: string

Inherited from OpenAPIV3.OperationObject.operationId

- Defined in node_modules/openapi-types/dist/index.d.ts:220

### `Optional` parameters

parameters?: (ReferenceObject | ParameterObject)[]

Inherited from OpenAPIV3.OperationObject.parameters

- Defined in node_modules/openapi-types/dist/index.d.ts:221

### path

path: string

- Defined in packages/angular/open-api/src/lib/open-api.ts:4

### `Optional` requestBody

requestBody?: ReferenceObject | RequestBodyObject

Inherited from OpenAPIV3.OperationObject.requestBody

- Defined in node_modules/openapi-types/dist/index.d.ts:222

### responses

responses: ResponsesObject

Inherited from OpenAPIV3.OperationObject.responses

- Defined in node_modules/openapi-types/dist/index.d.ts:223

### `Optional` security

security?: SecurityRequirementObject[]

Inherited from OpenAPIV3.OperationObject.security

- Defined in node_modules/openapi-types/dist/index.d.ts:228

### `Optional` servers

servers?: ServerObject[]

Inherited from OpenAPIV3.OperationObject.servers

- Defined in node_modules/openapi-types/dist/index.d.ts:229

### `Optional` summary

summary?: string

Inherited from OpenAPIV3.OperationObject.summary

- Defined in node_modules/openapi-types/dist/index.d.ts:217

### `Optional` tags

tags?: string[]

Inherited from OpenAPIV3.OperationObject.tags

- Defined in node_modules/openapi-types/dist/index.d.ts:216